searchNodes=[{"doc":"Entry point module of the library with all Tile38 commands functions. The functions defined here are loaded in compile time from the Tile38 commands documentation The only exceptions are commands/0 , command_group/1 and command_groups/0 that provide a way to look for the desired commands. Because you don't need to remember all of them by heart","ref":"Comtile38.html","title":"Comtile38","type":"module"},{"doc":"Downloads the AOF starting from pos and keeps the connection alive Group: replication Available since version 1.0.0 . Time complexity: O(1) Arguments: pos integer","ref":"Comtile38.html#aof/1","title":"Comtile38.aof/1","type":"function"},{"doc":"Performs a checksum on a portion of the aof Group: replication Available since version 1.0.0 . Time complexity: O(1) Arguments: pos integer size integer","ref":"Comtile38.html#aofmd5/2","title":"Comtile38.aofmd5/2","type":"function"},{"doc":"Shrinks the aof in the background Group: replication","ref":"Comtile38.html#aofshrink/0","title":"Comtile38.aofshrink/0","type":"function"},{"doc":"Authenticate to the server Group: connection Arguments: password string","ref":"Comtile38.html#auth/1","title":"Comtile38.auth/1","type":"function"},{"doc":"Get the combined bounds of all the objects in a key Group: keys Available since version 1.3.0 . Time complexity: O(1) Arguments: key string","ref":"Comtile38.html#bounds/1","title":"Comtile38.bounds/1","type":"function"},{"doc":"Finds all channels matching a pattern Group: pubsub Arguments: pattern","ref":"Comtile38.html#chans/1","title":"Comtile38.chans/1","type":"function"},{"doc":"Returns the commands in the given command group.","ref":"Comtile38.html#command_group/1","title":"Comtile38.command_group/1","type":"function"},{"doc":"Returns the names of the command groups provided by Redis.","ref":"Comtile38.html#command_groups/0","title":"Comtile38.command_groups/0","type":"function"},{"doc":"Returns the list of all available commands.","ref":"Comtile38.html#commands/0","title":"Comtile38.commands/0","type":"function"},{"doc":"Get the value of a configuration parameter Group: server Arguments: parameter string","ref":"Comtile38.html#config_get/1","title":"Comtile38.config_get/1","type":"function"},{"doc":"Rewrite the configuration file with the in memory configuration Group: server","ref":"Comtile38.html#config_rewrite/0","title":"Comtile38.config_rewrite/0","type":"function"},{"doc":"Set a configuration parameter to the given value Group: server Arguments: parameter string value optional, string","ref":"Comtile38.html#config_set/2","title":"Comtile38.config_set/2","type":"function"},{"doc":"Delete an id from a key Group: keys Available since version 1.0.0 . Time complexity: O(1) Arguments: key string id string erron404 optional","ref":"Comtile38.html#del/3","title":"Comtile38.del/3","type":"function"},{"doc":"Removes a channel Group: pubsub Arguments: name string","ref":"Comtile38.html#delchan/1","title":"Comtile38.delchan/1","type":"function"},{"doc":"Removes a webhook Group: webhook Arguments: name string","ref":"Comtile38.html#delhook/1","title":"Comtile38.delhook/1","type":"function"},{"doc":"Remove a key from the database Group: keys Available since version 1.0.0 . Time complexity: O(1) Arguments: key string","ref":"Comtile38.html#drop/1","title":"Comtile38.drop/1","type":"function"},{"doc":"Evaluates a Lua script Group: scripting Available since version 1.10.0 . Time complexity: Depends on the evaluated script Arguments: script string numkeys integer key optional, multiple, string arg optional, multiple, string","ref":"Comtile38.html#eval/3","title":"Comtile38.eval/3","type":"function"},{"doc":"Evaluates a Lua script in a non-atomic fashion Group: scripting Available since version 1.10.0 . Time complexity: Depends on the evaluated script Arguments: script string numkeys integer key optional, multiple, string arg optional, multiple, string","ref":"Comtile38.html#evalna/3","title":"Comtile38.evalna/3","type":"function"},{"doc":"Evaluates, in a non-atomic fashion, a Lua script cached on the server by its SHA1 digest Group: scripting Available since version 1.10.0 . Time complexity: Depends on the evaluated script Arguments: sha1 string numkeys integer key optional, multiple, string arg optional, multiple, string","ref":"Comtile38.html#evalnasha/3","title":"Comtile38.evalnasha/3","type":"function"},{"doc":"Evaluates a read-only Lua script Group: scripting Available since version 1.10.0 . Time complexity: Depends on the evaluated script Arguments: script string numkeys integer key optional, multiple, string arg optional, multiple, string","ref":"Comtile38.html#evalro/3","title":"Comtile38.evalro/3","type":"function"},{"doc":"Evaluates a read-only Lua script cached on the server by its SHA1 digest Group: scripting Available since version 1.10.0 . Time complexity: Depends on the evaluated script Arguments: script string numkeys integer key optional, multiple, string arg optional, multiple, string","ref":"Comtile38.html#evalrosha/3","title":"Comtile38.evalrosha/3","type":"function"},{"doc":"Evaluates a Lua script cached on the server by its SHA1 digest Group: scripting Available since version 1.10.0 . Time complexity: Depends on the evaluated script Arguments: sha1 string numkeys integer key optional, multiple, string arg optional, multiple, string","ref":"Comtile38.html#evalsha/3","title":"Comtile38.evalsha/3","type":"function"},{"doc":"Set a timeout on an id Group: keys Available since version 1.0.0 . Time complexity: O(1) Arguments: key string id string seconds double","ref":"Comtile38.html#expire/3","title":"Comtile38.expire/3","type":"function"},{"doc":"Removes all keys Group: server Available since version 1.0.0 . Time complexity: O(1)","ref":"Comtile38.html#flushdb/0","title":"Comtile38.flushdb/0","type":"function"},{"doc":"Follows a leader host Group: replication Available since version 1.0.0 . Time complexity: O(1) Arguments: host string port integer","ref":"Comtile38.html#follow/2","title":"Comtile38.follow/2","type":"function"},{"doc":"Set the value for one or more fields of an id Group: keys Available since version 1.0.0 . Time complexity: O(1) Arguments: key string id string xx optional field_value [string, double] field_value optional, multiple, [string, double]","ref":"Comtile38.html#fset/4","title":"Comtile38.fset/4","type":"function"},{"doc":"Forces a garbage collection Group: server Available since version 1.0.0 . Time complexity: O(1)","ref":"Comtile38.html#gc/0","title":"Comtile38.gc/0","type":"function"},{"doc":"Get the object of an id Group: keys Available since version 1.0.0 . Time complexity: O(1) Arguments: key string id string withfields optional type optional","ref":"Comtile38.html#get/3","title":"Comtile38.get/3","type":"function"},{"doc":"Finds all hooks matching a pattern Group: webhook Arguments: pattern","ref":"Comtile38.html#hooks/1","title":"Comtile38.hooks/1","type":"function"},{"doc":"Searches for ids that intersect an area Group: search Available since version 1.0.0 . Time complexity: O(log(N)) where N is the number of ids in the area Arguments: key string cursor optional, integer limit optional, integer match optional where optional, multiple, [string, double, double] wherein optional, multiple, [string, integer, double] whereeval optional, multiple, [string, integer, string] whereevalsha optional, multiple, [string, integer, string] clip optional nofields optional fence optional detect optional, [string] commands optional, [string] type optional area","ref":"Comtile38.html#intersects/3","title":"Comtile38.intersects/3","type":"function"},{"doc":"Delete a value from a JSON document Group: keys Time complexity: O(1) Arguments: key string id string path string","ref":"Comtile38.html#jdel/3","title":"Comtile38.jdel/3","type":"function"},{"doc":"Get a value from a JSON document Group: keys Time complexity: O(1) Arguments: key string id string path string raw optional","ref":"Comtile38.html#jget/4","title":"Comtile38.jget/4","type":"function"},{"doc":"Set a value in a JSON document Group: keys Time complexity: O(1) Arguments: key string id string path string value string `` optional","ref":"Comtile38.html#jset/5","title":"Comtile38.jset/5","type":"function"},{"doc":"Finds all keys matching the given pattern Group: keys Available since version 1.0.0 . Time complexity: O(N) where N is the number of keys in the database Arguments: pattern","ref":"Comtile38.html#keys/1","title":"Comtile38.keys/1","type":"function"},{"doc":"Searches for ids that are nearby a point Group: search Available since version 1.0.0 . Time complexity: O(log(N)) where N is the number of ids in the area Arguments: key string cursor optional, integer limit optional, integer match optional distance optional where optional, multiple, [string, double, double] wherein optional, multiple, [string, integer, double] whereeval optional, multiple, [string, integer, string] whereevalsha optional, multiple, [string, integer, string] nofields optional fence optional detect optional, [string] commands optional, [string] type optional area","ref":"Comtile38.html#nearby/3","title":"Comtile38.nearby/3","type":"function"},{"doc":"Gets or sets the output format for the current connection. Group: connection Arguments: format optional","ref":"Comtile38.html#output/1","title":"Comtile38.output/1","type":"function"},{"doc":"Removes all objects matching a pattern Group: keys Arguments: key string pattern","ref":"Comtile38.html#pdel/2","title":"Comtile38.pdel/2","type":"function"},{"doc":"Removes all channels matching a pattern Group: pubsub Arguments: pattern","ref":"Comtile38.html#pdelchan/1","title":"Comtile38.pdelchan/1","type":"function"},{"doc":"Removes all hooks matching a pattern Group: webhook Arguments: pattern","ref":"Comtile38.html#pdelhook/1","title":"Comtile38.pdelhook/1","type":"function"},{"doc":"Remove the existing timeout on an id Group: keys Available since version 1.0.0 . Time complexity: O(1) Arguments: key string id string","ref":"Comtile38.html#persist/2","title":"Comtile38.persist/2","type":"function"},{"doc":"Ping the server Group: connection","ref":"Comtile38.html#ping/0","title":"Comtile38.ping/0","type":"function"},{"doc":"Subscribes the client to the given patterns Group: pubsub Arguments: pattern","ref":"Comtile38.html#psubscribe/1","title":"Comtile38.psubscribe/1","type":"function"},{"doc":"Close the connection Group: connection","ref":"Comtile38.html#quit/0","title":"Comtile38.quit/0","type":"function"},{"doc":"Turns on or off readonly mode Group: server Available since version 1.0.0 . Time complexity: O(1) Arguments: `` [&quot;yes&quot;, &quot;no&quot;]","ref":"Comtile38.html#readonly/1","title":"Comtile38.readonly/1","type":"function"},{"doc":"Rename a key to be stored under a different name. Group: keys Available since version 1.14.5 . Time complexity: O(1) Arguments: key string newkey string","ref":"Comtile38.html#rename/2","title":"Comtile38.rename/2","type":"function"},{"doc":"Rename a key to be stored under a different name, if a new key does not exist. Group: keys Available since version 1.14.5 . Time complexity: O(1) Arguments: key string newkey string","ref":"Comtile38.html#renamenx/2","title":"Comtile38.renamenx/2","type":"function"},{"doc":"Incrementally iterate though a key Group: search Available since version 1.0.0 . Time complexity: O(N) where N is the number of ids in the key Arguments: key string cursor optional, integer limit optional, integer match optional order optional where optional, multiple, [string, double, double] wherein optional, multiple, [string, integer, double] whereeval optional, multiple, [string, integer, string] whereevalsha optional, multiple, [string, integer, string] nofields optional type optional","ref":"Comtile38.html#scan/2","title":"Comtile38.scan/2","type":"function"},{"doc":"Returns information about the existence of the scripts in server cache Group: scripting Available since version 1.10.0 . Time complexity: O(N) where N is the number of provided sha1 arguments Arguments: sha1 multiple, string","ref":"Comtile38.html#script_exists/1","title":"Comtile38.script_exists/1","type":"function"},{"doc":"Flushes the server cache of Lua scripts Group: scripting Available since version 1.10.0 . Time complexity: O(1)","ref":"Comtile38.html#script_flush/0","title":"Comtile38.script_flush/0","type":"function"},{"doc":"Loads the compiled version of a script into the server cache, without executing Group: scripting Available since version 1.10.0 . Time complexity: O(N) where N is the number of bytes in the script Arguments: script string","ref":"Comtile38.html#script_load/1","title":"Comtile38.script_load/1","type":"function"},{"doc":"Search for string values in a key Group: search Available since version 1.4.2 . Time complexity: O(N) where N is the number of values in the key Arguments: key string cursor optional, integer limit optional, integer match optional order optional where optional, multiple, [string, double, double] wherein optional, multiple, [string, integer, double] whereeval optional, multiple, [string, integer, string] whereevalsha optional, multiple, [string, integer, string] nofields optional type optional","ref":"Comtile38.html#search/2","title":"Comtile38.search/2","type":"function"},{"doc":"Show server stats and details Group: server Available since version 1.0.0 . Time complexity: O(1)","ref":"Comtile38.html#server/0","title":"Comtile38.server/0","type":"function"},{"doc":"Sets the value of an id Group: keys Available since version 1.0.0 . Time complexity: O(1) Arguments: key string id string field optional, multiple, [string, double] ex optional, [double] type optional value","ref":"Comtile38.html#set/4","title":"Comtile38.set/4","type":"function"},{"doc":"Creates a pubsub channel which points to geofenced search Group: pubsub Arguments: name string meta optional, multiple, [string, string] ex optional, [double] ` [&quot;NEARBY&quot;, &quot;WITHIN&quot;, &quot;INTERSECTS&quot;] * key string * fence * detect optional, [string] * commands optional, [string] * param` string","ref":"Comtile38.html#setchan/5","title":"Comtile38.setchan/5","type":"function"},{"doc":"Creates a webhook which points to geofenced search Group: webhook Arguments: name string endpoint string meta optional, multiple, [string, string] ex optional, [double] ` [&quot;NEARBY&quot;, &quot;WITHIN&quot;, &quot;INTERSECTS&quot;] * key string * fence * detect optional, [string] * commands optional, [string] * param` string","ref":"Comtile38.html#sethook/6","title":"Comtile38.sethook/6","type":"function"},{"doc":"Show stats for one or more keys Group: keys Available since version 1.0.0 . Time complexity: O(N) where N is the number of keys being requested Arguments: key string","ref":"Comtile38.html#stats/1","title":"Comtile38.stats/1","type":"function"},{"doc":"Subscribe to a geofence channel Group: pubsub Arguments: channel string","ref":"Comtile38.html#subscribe/1","title":"Comtile38.subscribe/1","type":"function"},{"doc":"Performs spatial test Group: tests Available since version 1.16.0 . Time complexity: One test per command, complexity depends on the test Arguments: area1 test clip optional area2","ref":"Comtile38.html#test/4","title":"Comtile38.test/4","type":"function"},{"doc":"Runs the following command with the timeout Group: connection Arguments: seconds double command string arg optional, multiple, string","ref":"Comtile38.html#timeout/3","title":"Comtile38.timeout/3","type":"function"},{"doc":"Get a timeout on an id Group: keys Available since version 1.0.0 . Time complexity: O(1) Arguments: key string id string","ref":"Comtile38.html#ttl/2","title":"Comtile38.ttl/2","type":"function"},{"doc":"Searches for ids that completely within the area Group: search Available since version 1.0.0 . Time complexity: O(log(N)) where N is the number of ids in the area Arguments: key string cursor optional, integer limit optional, integer match optional where optional, multiple, [string, double, double] wherein optional, multiple, [string, integer, double] whereeval optional, multiple, [string, integer, string] whereevalsha optional, multiple, [string, integer, string] nofields optional fence optional detect optional, [string] commands optional, [string] type optional area","ref":"Comtile38.html#within/3","title":"Comtile38.within/3","type":"function"},{"doc":"","ref":"Comtile38.Command.html","title":"Comtile38.Command","type":"module"},{"doc":"","ref":"Comtile38.Command.Argument.html","title":"Comtile38.Command.Argument","type":"module"},{"doc":"The Argument struct. It will encompass all data read from the command file for each argument. :name - name of the argument as read from the file :canonical_name - string representation of the name :type - type of the argument :optional - boolean value indicating if the argument is optional :multiple - boolean value indicating if the argument can be used multiple times :enum - possible values if the argument is enumerable :variadic - :command - command that must preceed the argument","ref":"Comtile38.Command.Argument.html#__struct__/0","title":"Comtile38.Command.Argument.__struct__/0","type":"function"},{"doc":"Function to split the arguments that are optional or commands from the required ones. It will receive a list of Comtile38.Command.Argument structs and return a tuple with the required arguments first and then the others.","ref":"Comtile38.Command.Argument.html#split_options/1","title":"Comtile38.Command.Argument.split_options/1","type":"function"},{"doc":"Module that contains every doctest for commands. They will be included both in the tests and in the documentation for each command function.","ref":"Comtile38.Command.DocTest.html","title":"Comtile38.Command.DocTest","type":"module"},{"doc":"Function that returns the doctests for the command described with the given canonical_command_name . Each command can define a body of this function. By convention, the argument must must be the canonical name of the command. When no doctest is found, it returns nil .","ref":"Comtile38.Command.DocTest.html#tests/1","title":"Comtile38.Command.DocTest.tests/1","type":"function"},{"doc":"","ref":"Comtile38.Command.FileReader.html","title":"Comtile38.Command.FileReader","type":"module"},{"doc":"Function that loads the whole command json file It reads the file and generates structs of Command with their arguments as Argument structs.","ref":"Comtile38.Command.FileReader.html#load/0","title":"Comtile38.Command.FileReader.load/0","type":"function"},{"doc":"Module responsible for generating at compile-time a function for each Redis command.","ref":"Comtile38.Command.Generator.html","title":"Comtile38.Command.Generator","type":"module"},{"doc":"Macro that defines functions when this module is used. A function for each command is defined in the module that executes use Comtile38.Command.Generator","ref":"Comtile38.Command.Generator.html#__using__/1","title":"Comtile38.Command.Generator.__using__/1","type":"macro"}]